MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030428Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-12-29 15:032019-01-12 14:42
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030428: Modeling Algorithms - BRepBndLib::AddOBB() throws exception on empty Compound
DescriptionCalling BRepBndLib::AddOBB() on empty Compound leads to unhandled exception due to intermediate Bnd_Box result is not checked for IsVoid().
Steps To Reproduce
pload MODELING
compound c
bounding c
# OK
bounding -obb c
# ** Exception ** 00000155170C33F0 : Standard_ConstructionError: Bnd_Box is void
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0081653)
git (administrator)
2018-12-29 15:45

Branch CR30428 has been created by kgv.

SHA-1: 20f20f99f996aa80430e9f47fafba5d2a2492c11


Detailed log of new commits:

Author: kgv
Date: Sat Dec 29 15:41:54 2018 +0300

    0030428: Modeling Algorithms - BRepBndLib::AddOBB() throws exception on empty Compound
    
    Added missing Bnd_Box::IsVoid() check.
(0081654)
kgv (developer)
2018-12-29 15:45

Trivial patch is ready for review.
(0081657)
git (administrator)
2018-12-30 14:58

Branch CR30428 has been deleted by inv.

SHA-1: 20f20f99f996aa80430e9f47fafba5d2a2492c11
(0081686)
msv (developer)
2019-01-09 10:05

I have reviewed the branch. It was OK.
Why it was removed?
(0081687)
git (administrator)
2019-01-09 10:27

Branch CR30428 has been created by kgv.

SHA-1: 20f20f99f996aa80430e9f47fafba5d2a2492c11


Detailed log of new commits:

Author: kgv
Date: Sat Dec 29 15:41:54 2018 +0300

    0030428: Modeling Algorithms - BRepBndLib::AddOBB() throws exception on empty Compound
    
    Added missing Bnd_Box::IsVoid() check.
(0081745)
bugmaster (administrator)
2019-01-11 10:32
edited on: 2019-01-11 10:33

Fix has been tested in framework of WEEK-2:

Combination -
OCCT branch : WEEK-2 SHA - e86ab0bbd895a6609d2b948088ffe4f46e3a5f64
Products branch : WEEK-2 SHA - 0b9df64a156abd5cbfbfccb15967b46cdabfe1f8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16371.970000000036 / 16388.860000000008 [-0.10%]
Products
Total CPU difference: 7159.450000000021 / 7172.62000000003 [-0.18%]
Windows-64-VC14:
OCCT
Total CPU difference: 17753.953125 / 17753.9375 [+0.00%]
Products
Total CPU difference: 8592.859375 / 8592.53125 [+0.00%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

(0081768)
git (administrator)
2019-01-12 14:42

Branch CR30428 has been deleted by inv.

SHA-1: 20f20f99f996aa80430e9f47fafba5d2a2492c11

- Related Changesets
occt: master 0939d4cf
Timestamp: 2018-12-29 12:41:54
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030428: Modeling Algorithms - BRepBndLib::AddOBB() throws exception on empty Compound

Added missing Bnd_Box::IsVoid() check.
mod - src/BRepBndLib/BRepBndLib_1.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-12-29 15:03 kgv New Issue
2018-12-29 15:03 kgv Assigned To => msv
2018-12-29 15:04 kgv Relationship added child of 0029311
2018-12-29 15:45 git Note Added: 0081653
2018-12-29 15:45 kgv Note Added: 0081654
2018-12-29 15:45 kgv Severity minor => trivial
2018-12-29 15:45 kgv Status new => resolved
2018-12-30 14:58 git Note Added: 0081657
2019-01-09 10:05 msv Note Added: 0081686
2019-01-09 10:05 msv Assigned To msv => bugmaster
2019-01-09 10:05 msv Status resolved => feedback
2019-01-09 10:27 git Note Added: 0081687
2019-01-09 17:43 bugmaster Status feedback => reviewed
2019-01-10 17:58 bugmaster Test case number => Not needed
2019-01-11 10:32 bugmaster Note Added: 0081745
2019-01-11 10:32 bugmaster Status reviewed => tested
2019-01-11 10:33 bugmaster Note Edited: 0081745 View Revisions
2019-01-12 14:34 bugmaster Changeset attached => occt master 0939d4cf
2019-01-12 14:34 bugmaster Status tested => verified
2019-01-12 14:34 bugmaster Resolution open => fixed
2019-01-12 14:42 git Note Added: 0081768


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker